> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Release Notes

> Returns the release notes for a vehicle's current version, staged version, or specific version.



## OpenAPI

````yaml get /{vin}/release_notes/{version}
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/release_notes/{version}:
    parameters:
      - $ref: '#/components/parameters/vin'
      - name: version
        description: >-
          The software version to look up. Leave blank for the current or staged
          version.
        in: path
        required: true
        schema:
          type: string
        example: 2026.2.3
      - name: language
        description: >-
          The language code for the release notes for the current or staged
          version.
        in: query
        schema:
          type: string
          default: en
        example: en
      - name: staged
        description: Set to true to retrieve release notes for a staged version.
        in: query
        schema:
          type: boolean
          default: false
    get:
      tags:
        - Vehicle Data
      summary: Get Release Notes
      description: >-
        Returns the release notes for a vehicle's current version, staged
        version, or specific version.
      operationId: get-release-notes
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReleaseNotes'
              examples:
                Example 1:
                  value:
                    deployed_version: 2026.2.3
                    staged_version: null
                    release_notes:
                      - title: Minor Fixes
                        subtitle: null
                        description: This release contains minor fixes and improvements.
                        customer_version: 2026.2.3
                        image_url: null
                        light_image_url: null
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  schemas:
    ReleaseNotes:
      type: object
      properties:
        deployed_version:
          description: The installed software version reported with the release notes.
          type: string
          nullable: true
        staged_version:
          description: The staged software version, if available.
          type: string
          nullable: true
        release_notes:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
                nullable: true
              subtitle:
                type: string
                nullable: true
              description:
                description: The release note text.
                type: string
                nullable: true
              customer_version:
                description: The software version associated with this release note.
                type: string
                nullable: true
              image_url:
                description: The release note image URL.
                type: string
                nullable: true
              light_image_url:
                description: The release note image URL for light mode.
                type: string
                nullable: true
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.